Apache Tomcat 7.0.42

## org.apache.tomcat.util.bcel.classfile
Class LocalVariableTable

    java.lang.Object
      org.apache.tomcat.util.bcel.classfile.Attribute
          org.apache.tomcat.util.bcel.classfile.LocalVariableTable

All Implemented Interfaces:
  Serializable, Cloneable

    public class LocalVariableTable

extends Attribute

This class represents colection of local variables in a method. This attribute is contained in the Code attribute.

Version:
  $Id: LocalVariableTable.java 1377533 2012-08-26 22:22:59Z markt $
Author:
  M. Dahm
See Also:
  `Code`, `LocalVariable`, Serialized Form

Field Summary

Fields inherited from class org.apache.tomcat.util.bcel.classfile.Attribute
`constant_pool, length, name_index, tag`

Constructor Summary
`LocalVariableTable(int name_index, int length, LocalVariable[] local_variable_table, ConstantPool constant_pool)`

Method Summary
`Attribute` `copy(ConstantPool _constant_pool)`
`LocalVariable` `getLocalVariable(int index)` Deprecated. since 5.2 because multiple variables can share the same slot, use getLocalVariable(int index, int pc) instead.
`void` `setLocalVariableTable(LocalVariable[] local_variable_table)`
`String` `toString()`

Methods inherited from class org.apache.tomcat.util.bcel.classfile.Attribute
`clone, getName, getTag, readAttribute`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LocalVariableTable

    public LocalVariableTable(int name_index,
                              int length,
                              LocalVariable[] local_variable_table,
                              ConstantPool constant_pool)

Parameters:
  `name_index` - Index in constant pool to `LocalVariableTable'
  `length` - Content length in bytes
  `local_variable_table` - Table of local variables
  `constant_pool` - Array of constants

Method Detail

### getLocalVariable

    @Deprecated
    public final LocalVariable getLocalVariable(int index)

  Deprecated. since 5.2 because multiple variables can share the same slot, use getLocalVariable(int index, int pc) instead.

  Parameters:
    `index` - the variable slot
  Returns:
    the first LocalVariable that matches the slot or null if not found

### setLocalVariableTable

    public final void setLocalVariableTable(LocalVariable[] local_variable_table)

### toString

    public final String toString()

  Overrides:
    `toString` in class `Attribute`
  Returns:
    String representation.

### copy

    public Attribute copy(ConstantPool _constant_pool)

  Specified by:
    `copy` in class `Attribute`
  Returns:
    deep copy of this attribute

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.